<?php 
/**
 * Createing an about us pannel for customizer
 *
 */
// TEAM SECTION START HERE 
/*============TEAM SECTION PANEL============*/
$wp_customize->add_section(
	'lz_fitness_gallery_section',
	array(
		'title'         => __( 'Gallery Section', 'gurukul' ),
		'panel'   => 'lz_fitness_premium_home_panel',
	)
);
// ENABLE/DISABLE TEAM SECTION
$wp_customize->add_setting(
	'lz_fitness_gallery_section_disable',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default' => 'off'
	)
);
$wp_customize->add_control(
	new lz_fitness_Switch_Control(
		$wp_customize,
		'lz_fitness_gallery_section_disable',
		array(
			'settings'      => 'lz_fitness_gallery_section_disable',
			'section'       => 'lz_fitness_gallery_section',
			'label'         => __( 'Disable Section', 'gurukul' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'gurukul' ),
				'off' => __( 'No', 'gurukul' )
			)   
		)
	)
);


backgroundManager($wp_customize, 'gallery', 'lz_fitness_gallery_section', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

$wp_customize->add_setting(
	'lz_fitness_gallery_title_subtitle_heading',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
	)
);
$wp_customize->add_control(
	new lz_fitness_Customize_Heading(
		$wp_customize,
		'lz_fitness_gallery_title_subtitle_heading',
		array(
			'settings'      => 'lz_fitness_gallery_title_subtitle_heading',
			'section'       => 'lz_fitness_gallery_section',
			'label'         => __( 'Section Title', 'gurukul' ),
		)
	)
);
$wp_customize->add_setting(
	'lz_fitness_gallery_title',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Our Sweet Works', 'gurukul' )
	)
);
$wp_customize->add_control(
	'lz_fitness_gallery_title',
	array(
		'settings'      => 'lz_fitness_gallery_title',
		'section'       => 'lz_fitness_gallery_section',
		'type'          => 'text',
		'label'         => __( 'Title', 'gurukul' )
	)
);


// Heading color
addColorPalatOption($wp_customize, 'lz_fitness_gallery_HeadingColor', 'lz_fitness_gallery_section', 'Heading color', '#444444');

// Heading border color
addColorPalatOption($wp_customize, 'lz_fitness_gallery_HeadingborderColor', 'lz_fitness_gallery_section', 'Heading border color', '#01beff');
// Heading border icon color
addColorPalatOption($wp_customize, 'lz_fitness_gallery_HeadingbordericonColor', 'lz_fitness_gallery_section', 'Heading border icon color', '#ff6796');

// TEAM PAGES
for( $i = 1; $i <= 8; $i++ ){
	$wp_customize->add_setting(
		'lz_fitness_gallery_heading'.$i,
		array(
			'sanitize_callback' => 'lz_fitness_sanitize_text'
		)
	);
	$wp_customize->add_control(
		new lz_fitness_Customize_Heading(
			$wp_customize,
			'lz_fitness_gallery_heading'.$i,
			array(
				'settings'      => 'lz_fitness_gallery_heading'.$i,
				'section'       => 'lz_fitness_gallery_section',
				'label'         => __( ' Image ', 'gurukul' ).$i, 
			)
		)
	);
	if(is_array($lzFitnessGallerySingleChoice)){
		$wp_customize->add_setting(
			'lz_fitness_gallery_page'.$i,
			array(
				'sanitize_callback' => 'absint'
			)
		);
		$wp_customize->add_control(
			'lz_fitness_gallery_page'.$i,
			array(
				'settings'      => 'lz_fitness_gallery_page'.$i,
				'section'       => 'lz_fitness_gallery_section',
				'type'=> 'select',
				'label'         => __( 'Select a Gallery Image', 'gurukul' ),
				'choices' => $lzFitnessGallerySingleChoice,
			)
		);
	}else{
		$wp_customize->add_setting('lz_fitness_gallery_section_lbl'.$i, array('sanitize_callback'=>'lz_fitness_sanitize_text'));
		$wp_customize->add_control(
			new lz_fitness_Info_Text( 
				$wp_customize,
				'lz_fitness_gallery_section_lbl'.$i,
				array(
					'settings'		=> 'lz_fitness_gallery_section_lbl'.$i,
					'section'		=> 'lz_fitness_gallery_section',
					'label'			=> __( 'Note:', 'gurukul' ),	
					'description'	=> __( '<strong>Changes will not reflect unless you select the gallery Image.</strong> <br/>Please add the gallary team from "Gallary menu" and then select gallary Image to show information.', 'gurukul' ),
				)
			)
		);
	}
}


// img border color
addColorPalatOption($wp_customize, 'lz_fitness_gallery_imgborderColor', 'lz_fitness_gallery_section', 'Image border color', '#ffc4d6');


//slider left button color
addColorPalatOption($wp_customize, 'lz_fitness_gallery_sliderleftbtnColor', 'lz_fitness_gallery_section', 'Slider left button color', '#9d9d9d');


//slider left button border color
addColorPalatOption($wp_customize, 'lz_fitness_gallery_sliderleftbtnborderColor', 'lz_fitness_gallery_section', 'Slider left button border color', '#9d9d9d');

//slider left button hover color
addColorPalatOption($wp_customize, 'lz_fitness_gallery_sliderleftbtnhoverColor', 'lz_fitness_gallery_section', 'Slider left button hover color', '#01beff');


//slider left button border hover color
addColorPalatOption($wp_customize, 'lz_fitness_gallery_sliderleftbtnborderhoverColor', 'lz_fitness_gallery_section', 'Slider left button border hover color', '#01beff');


//slider right button color
addColorPalatOption($wp_customize, 'lz_fitness_gallery_sliderrightbtnColor', 'lz_fitness_gallery_section', 'Slider right button color', '#9d9d9d');


//slider right button border color
addColorPalatOption($wp_customize, 'lz_fitness_gallery_sliderrightbtnborderColor', 'lz_fitness_gallery_section', 'Slider right button border color', '#9d9d9d');

//slider right button hover color
addColorPalatOption($wp_customize, 'lz_fitness_gallery_sliderrightbtnhoverColor', 'lz_fitness_gallery_section', 'Slider right button hover color', '#01beff');


//slider right button border hover color
addColorPalatOption($wp_customize, 'lz_fitness_gallery_sliderrightbtnborderhoverColor', 'lz_fitness_gallery_section', 'Slider right button border hover color', '#01beff');

// TEAM SECTION END HERE 